summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2011-11-17 01:16:07 +0100
committer Robby Workman2011-11-26 16:08:10 +0100
commit2698064c6a7725b8caff049b3b48f49c4f09bfab (patch)
tree2da030025b8e50b6a21949f501bd739c2049b072
parent817bb0477162449857d35d7a6e5ca2dab0bd376e (diff)
downloadslackbuilds-2698064c6a7725b8caff049b3b48f49c4f09bfab.tar.gz
audio/match-vamp-plugin: Added (MATCH Vamp Plugin)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--audio/match-vamp-plugin/README5
-rw-r--r--audio/match-vamp-plugin/match-vamp-plugin.SlackBuild74
-rw-r--r--audio/match-vamp-plugin/match-vamp-plugin.info10
-rw-r--r--audio/match-vamp-plugin/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/audio/match-vamp-plugin/README b/audio/match-vamp-plugin/README
new file mode 100644
index 0000000000..a250a3c531
--- /dev/null
+++ b/audio/match-vamp-plugin/README
@@ -0,0 +1,5 @@
+A Vamp plugin implementation of the MATCH audio alignment algorithm.
+
+For use with sonic-visualiser and possibly other VAMP hosts.
+
+This requires vamp-plugin-sdk.
diff --git a/audio/match-vamp-plugin/match-vamp-plugin.SlackBuild b/audio/match-vamp-plugin/match-vamp-plugin.SlackBuild
new file mode 100644
index 0000000000..209214f499
--- /dev/null
+++ b/audio/match-vamp-plugin/match-vamp-plugin.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/bash
+
+# Slackware build script for match-vamp-plugin
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=match-vamp-plugin
+VERSION=${VERSION:-0.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Just in case someone doesn't trust upstream's default CXXFLAGS:
+if [ "${FORCE_SLACK_CFLAGS:-no}" = "yes" ]; then
+ make CXXFLAGS="$SLKCFLAGS"
+else
+ make
+fi
+
+# No 'make install' target in Makefile.
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/vamp
+install -s -m0755 $PRGNAM.so $PKG/usr/lib$LIBDIRSUFFIX/vamp
+install -m0644 $PRGNAM.cat $PKG/usr/lib$LIBDIRSUFFIX/vamp
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/match-vamp-plugin/match-vamp-plugin.info b/audio/match-vamp-plugin/match-vamp-plugin.info
new file mode 100644
index 0000000000..8f9c27521f
--- /dev/null
+++ b/audio/match-vamp-plugin/match-vamp-plugin.info
@@ -0,0 +1,10 @@
+PRGNAM="match-vamp-plugin"
+VERSION="0.2.1"
+HOMEPAGE="https://code.soundsoftware.ac.uk/projects/match-vamp/"
+DOWNLOAD="http://downloads.sourceforge.net/vamp/match-vamp-plugin-0.2.1.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="a1ba304c26a9de143d1d00f157e2dd51"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/audio/match-vamp-plugin/slack-desc b/audio/match-vamp-plugin/slack-desc
new file mode 100644
index 0000000000..0aa08615b6
--- /dev/null
+++ b/audio/match-vamp-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+match-vamp-plugin: match-vamp-plugin (MATCH Vamp Plugin)
+match-vamp-plugin:
+match-vamp-plugin: A Vamp plugin implementation of the MATCH audio alignment algorithm.
+match-vamp-plugin: For use with sonic-visualiser and other VAMP hosts.
+match-vamp-plugin:
+match-vamp-plugin:
+match-vamp-plugin:
+match-vamp-plugin:
+match-vamp-plugin:
+match-vamp-plugin:
+match-vamp-plugin: